%global commit 82dc1f49cd7b43214fd303c49156878e4bf8a878
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           dsqlite
Version:        1.1.1
Release:        1%{?dist}
Summary:        High level library around SQLite for D language

License:        GPLv3
URL:            https://github.com/bioinfornatics/DSQLite
Source0:        https://github.com/bioinfornatics/DSQLite/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  ldc, ldc-phobos-devel, ldc-druntime-devel, geany

%description
DSQLite is a high level library for SQLite. Use sqlite in D programming
with this library is so easy.

%description -l fr
DSQLite est une bibliothèque de haut niveau pour SQLite. Utiliser sqlite dans 
la programmation D avec cette bibliothèque est si facile.

%package devel
Summary:        High level library around SQLite for D language
Requires:       ldc-phobos-devel, ldc-druntime-devel
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
DSQLite is a high level library for SQLite. Use sqlite in D programming
with this library is so easy.

%description -l fr devel
DSQLite est une bibliothèque de haut niveau pour SQLite. Utiliser sqlite dans 
la programmation D avec cette bibliothèque est si facile.

%prep
%setup -q -n DSQLite-%{commit}

%build
make %{?_smp_mflags}  all-shared geany-tag DFLAGS_IMPORT="-Isrc" DCFLAGS="%{_d_optflags}"

%install
# build library
make %{?_smp_mflags} install-shared install-geany-tag PREFIX=%{buildroot}%{_prefix} LIB_DIR=%{buildroot}%{_libdir}

%post   -p  /sbin/ldconfig
%postun -p  /sbin/ldconfig

%files
%doc LICENSE LICENCE README
%{_defaultdocdir}/dsqlite
%{_libdir}/libDSQLite-ldc.so.1
%{_libdir}/libDSQLite-ldc.so.1.1.1

%files devel
%{_datadir}/pkgconfig/DSQLite.pc
%{_d_includedir}/sqlite
%{_libdir}/libDSQLite-ldc.so
%{_datadir}/geany/tags/DSQLite.d.tags

%changelog
* Fri Jun 28 2013  Christophe Burgun <jouty@fedoraproject.org> 1.1.1-1
- Update dsqlite version
- Change Source0 Url
- Fix prep section with right name
- Fix so files

* Sun Feb 17 2013  Christophe Burgun <jouty@fedoraproject.org> 1.0-5
- Fix summary and description
- Fix -l fr

* Fri Nov 16 2012  Christophe Burgun <jouty@fedoraproject.org> 1.0-4
- Delete global debug_package because it is not a static library

* Fri Nov 16 2012  Christophe Burgun <jouty@fedoraproject.org> 1.0-3
- Add dist macro to release tag
- Improvement of french descriptions

* Thu Oct 25 2012  Christophe Burgun <jouty@fedoraproject.org> 1.0-2
- Change summary to be not a sentence
- Solve mistake in french description

* Thu Oct 25 2012  Christophe Burgun <jouty@fedoraproject.org> 1.0-1
- Change Source0 url
- Change version and release tag
- Deleting duplicate license file in devel

* Mon Aug 6 2012  Christophe Burgun <jouty@fedoraproject.org> 1-3.20120803git1113632  
- Add requires for devel package

* Wed Aug 1 2012  Christophe Burgun <jouty@fedoraproject.org>  1-2.20120803git1113632
- Add devel package
- Add post and postun 
- Update build and install
- Delete sub package geany-tag

* Fri Dec 9 2011  Jonathan MERCIER <bioinfornatics at gmail.com>  1-1.20120803git309742c
- Add doc for devhelp
- Add tag for geany
- Init spec
